Bug 860380

Summary: Unfriendly errors when hostname illegal
Product: [Fedora] Fedora Reporter: Jaroslav Henner <jhenner>
Component: openstack-novaAssignee: Xavier Queralt <xqueralt>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 18CC: akscram, alexander.sakhnov, apevec, bfilippov, breu, dallan, Jan.van.Eldik, jonathansteffan, jose.castro.leon, markmc, matt_domsch, mlvov, p, rbryant, rkukura, sdake
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 07:19:21 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jaroslav Henner 2012-09-25 13:46:49 EDT
Description of problem:
Having the hostname in some illegal format produces unfriendly message when starting some services:

   illegal hostname
      vvvvvv
[root@(none) ~]# systemctl status openstack-nova-network.service 
openstack-nova-network.service - OpenStack Nova Network Server
	  Loaded: loaded (/usr/lib/systemd/system/openstack-nova-network.service; enabled)
	  Active: failed (Result: exit-code) since Tue, 25 Sep 2012 17:34:04 +0200; 1min 40s ago
	 Process: 2685 ExecStart=/usr/bin/nova-network --config-file /etc/nova/nova.conf --logfile /var/log/nova/network.log (code=exited, status=1/FAILURE)
	  CGroup: name=systemd:/system/openstack-nova-network.service

Sep 25 17:34:04 Linux nova-network[2685]: File "/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.py", line 616, in receiver
Sep 25 17:34:04 Linux nova-network[2685]: receiver._ewait(lambda: receiver.linked)
Sep 25 17:34:04 Linux nova-network[2685]: File "/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.py", line 974, in _ewait
Sep 25 17:34:04 Linux nova-network[2685]: self.check_error()
Sep 25 17:34:04 Linux nova-network[2685]: File "/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.py", line 963, in check_error
Sep 25 17:34:04 Linux nova-network[2685]: raise self.error
Sep 25 17:34:04 Linux nova-network[2685]: MalformedAddress: unrecognized characters line:1,13: nova/network.(none) ; {"node": {"x-declare": ...none)"}}
Sep 25 17:34:04 Linux nova-network[2685]: Removing descriptor: 9
Sep 25 17:34:04 Linux nova-network[2685]: 2012-09-25 17:34:04 CRITICAL nova [-] unrecognized characters line:1,13: nova/network.(none) ; {"n...none)"}}
Sep 25 17:34:04 Linux nova-network[2685]: unrecognized characters line:1,13: nova/network.(none) ; {"node": {"x-declare": {"auto-delete": tr...none)"}}

Version-Release number of selected component (if applicable):
openstack-nova-2012.2-0.9.rc1.fc18.noarch

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2013-12-16 11:21:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-12-21 03:56:42 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 07:19:24 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.